<?
require_once '../core/system.php';
$header = 'Шахта';
require_once '../core/head.php';
switch($act) {
case 'go':
if($user['health'] < 50)
{
header('Location: ?');
$_SESSION['light'] = "<span class='dred'>Для нападения нужно <img src='/images/icon/health.png' alt=''/> 50 Здоровья</span><br/>Здоровье восстанавливается со временем или за золото<br><div class='separ'></div><a class='btn' href='/moduls/ckoldun.php?act=ok'><span class='end'><span class='label'>Восстановить <img src='/images/icon/health.png' alt=''/> 100% здоровья</span></span></a><br><span class='grey'>Цена: <img src='/images/icon/gold.png' alt=''/> 25 золота</span>";
exit();
}else{
mysql_query("UPDATE `user` SET `shahta` = '1', `shahta_time` = '".(time()+3000)."' WHERE `id` = '".$user['id']."' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Вы спустились в шахту!';
exit();
}
break;
default;
echo'<center><br><img src="/img/ryd.png"></center>';
	
if($user['shahta_time'] < time() && $user['shahta'] == 1)
{
$exp = rand(1,50);
$gold = rand(1,5);
$silver = rand(100,200);
$kamni = rand(1,100);
$shahtir_exp = rand(1,3);
echo "<center><div class='separ'></div>Работа в шахте окончена<br>Добыто: <img src='/images/icon/gold.png'> $gold, <img src='/images/icon/exp.png'> $exp, <img src='/images/icon/silver.png'> $silver, <img src='/images/icon/kamni.png'> $kamni<div class='separ'></div><a class='btn' href='/shahta/'><span class='end'><span class='label'>За работу</span></span></a></center></div>";
mysql_query("UPDATE `user` SET `gold`=`gold`+'$gold',  `exp`=`exp`+'$exp', `silver`=`silver`+'$silver', `kamni`=`kamni`+'$kamni', `shahtir_exp`=`shahtir_exp`+'$shahtir_exp', `shahta` = '0', `shahta_time` = '0' WHERE `id`='".$user['id']."' LIMIT 1");
}
if($user['shahta'] == 0)
{
echo '<div class="player center">В шахте можно добывать ценности!</div>';
echo"<div class='separ'></div><center><a class='btn' href='/shahta/?act=go''><span
class='end'><span class='label'>За работу</span></span></a></center></div>";
 require_once '../core/foot.php';
}


if($user['shahta_time'] > time())
{

if($user['shahta_time'] > time() && $user['shahta'] == 1)
{
$shahta_ostalos=$user['shahta_time']-time();
echo '<div class="player center">Вы работаете <br>До конца:
'.(int)($shahta_ostalos/60%60).' мин. '.($shahta_ostalos%60).' сек.
';
echo"<div class='separ'></div><a class='btn' href='/shahta/'><span class='end'><span class='label'>Обновить</span></span></a></div></div>";
}
}

break;}
require_once '../core/foot.php';
?>